orcape
Goto Top

PfSense 2.3 Release

Hi Leute,
habe heute morgen meine pfSense auf dem ALIX aktualisiert:
PfSense 2.3-RELEASE (i386) built on Mon Apr 11 18:12:06 CDT 2016 FreeBSD 10.3

Folgende Info hierzu.....

General

Layer 7 shaping is no longer supported. Its configuration has been removed. @ 2016-04-17 08:33:07

Gruß orcape

Content-Key: 302117

Url: https://administrator.de/contentid/302117

Printed on: July 23, 2024 at 23:07 o'clock

Member: aqui
aqui Apr 18, 2016 updated at 11:26:38 (UTC)
Goto Top
Kam bei mir auch ist aber nicht wichtig hier.
Viel schlimmer ist das eine bisherige Vouchereinstellung und Voucher gehen nicht mehr beim CP face-sad
Auch eine Neugenerierung der Voucher Roll auf dem System half nicht.
Bei einer frischen Installation funktionieren aber generell die Voucher fehlerlos. Grrrr...
Wäre mal interessant zu erfahren ob andere auch diesen Fehler haben ?!
Mitglied: 117471
117471 Apr 18, 2016 at 16:00:57 (UTC)
Goto Top
Sind Probleme mit dem Update bekannt? Z.B., dass das Filesystem nach dem Update nur read-only gemountet wird?
Member: theoberlin
theoberlin Apr 19, 2016 at 06:29:01 (UTC)
Goto Top
Ich hab mit Safari auf OSX das Problem, dass das GUI bei Änderungen teilweise einige Sekunden einfriert...etwas lästig...aber sonst ganz schick.

Lg
Theo
Member: aqui
aqui Apr 19, 2016 updated at 07:00:06 (UTC)
Goto Top
Z.B., dass das Filesystem nach dem Update nur read-only gemountet wird?
Wieso ist das ein Problem ? Bei den nano BSD Editions für embedded HW ist das simpler Default !
Member: ChriBo
ChriBo Apr 19, 2016 at 15:35:16 (UTC)
Goto Top
Ja, nach Möglichkeit auf Version 2.3.1 warten.
Bei 8 geupgradeten Installationen sind 2 Upgrades "fehlgeschlagen".
1x nach dem Upgrade alle 1/2 Std. Kernel Panic und Reboot )-:
1x Kernel Panic und Reboot nach ca. 8 Std.
-
ich kann dringendst empfehlen vor dem Upgrade alle Packages zu entfernen und nach dem Upgrade wieder zu installieren und neu einzurichten.
Wir hatten Fehler mit pfblockerNG, ließ sich nach Entfernen der Regeln, Deinstallation und danach Neuinstallation beheben.
Ebenso muß Status/Monitoring geprüft werden und ggf. unter Settings -> Advanced "Reset Graphing Data" durchgeführt werden.

Gruß
CH
Member: orcape
orcape Apr 19, 2016 at 15:35:29 (UTC)
Goto Top
Nun, ich habe zumindest den Eindruck, das der Zugriff per GUI auf mein ALIX etwas zähflüssiger läuft wie bei Version 2.2.6. Gibt es da bei anderer Hardware ebenfalls das Problem oder tut sich hier nur das ALIX etwas schwer?
Member: magicteddy
magicteddy Apr 19, 2016 updated at 16:36:29 (UTC)
Goto Top
Moin,

ich habe 3 Vollinstallationen aktualisiert, nur eine Installation war etwas zickig, freeradius startete nicht, es gab keinen Logeintrag.
Auf der Konsole im debug Mode lief freeradius ohne Fehlermeldung, beendete sich aber nach kurzer Zeit.
Nach einem Neustart ist aber auch das Problem erledigt. Bisher keine Auffälligkeiten.

Nachtrag: Hardware APU 1D4, APU 1D2, Lanner FW-7525

-teddy
Member: aqui
aqui Apr 19, 2016 updated at 19:47:38 (UTC)
Goto Top
@orcape
Von welchem ALIX redest du denn hier ??
2D13 stimmt das das ist fast nicht mehr bedienbar.
APU1D merkt man keinen Unterschied ebenso wie auf Intel basierten i386 oder amd64 Plattformen.
Hier 3 Updates und 3 Captive Portal Fehler. Rest fehlerfrei.
Mitglied: 117471
117471 Apr 19, 2016 at 19:53:18 (UTC)
Goto Top
Wenn ich das so lese, dann frage ich mich allerdings ernsthaft, warum das überhaupt released wurde.

Die Anzahl der Geräte, die das Update überleben scheint ja recht überschaubar zu sein. Ich denke, ich warte auch (noch...)
Member: theoberlin
theoberlin Apr 19, 2016, updated at Apr 20, 2016 at 06:10:39 (UTC)
Goto Top
Mist.. Melden statt kommentieren .. Tschuldigung bitte ignorieren!!

Auf einem APU1D4 lief das GUI fast garnicht mehr... bei jeder Änderung 6 Sekunden warten

War viel zu früh für ein Release...
Nach einem neu aufsetzten ging's.. Privat okay.. In der Firma warte ich noch

LG Theo
Member: Hastduschonneugestartet
Hastduschonneugestartet Apr 20, 2016 at 07:00:19 (UTC)
Goto Top
Bei mir hat nicht eine von drei Installation das Update überlebt face-smile

Neuinstallation mit Einspielen der Config nachträglich geht dafür problemlos und dauert auch nicht länger als die Fehlerbehebung beim kaputten Update.

Von der Oberfläche ist tatsächlich eher furchtbar - 2.2.6 ist wesentlich benutzbarer. Nun gut - jetzt ist es zu spät.
Member: aqui
aqui Apr 20, 2016 at 10:09:07 (UTC)
Goto Top
Das Problem mit dem nicht mehr funktionierenden Captive Portal in 2.3 ist auch gefixt !!!

PFsense nach Update funktioniert CP nicht korrekt
bzw.
https://forum.pfsense.org/index.php?topic=105567.0

Meist betrifft das die User die eine angepasste Portalseite haben wie in meinem Fall und die jetzt erforderliche zusätzliche Zeile HTML Code nicht drin haben.
Es tritt nicht auf bei einer Neuinstallation. Klar da ist diese Zeile enthalten face-wink
Member: mrtux
mrtux Apr 20, 2016 updated at 16:50:44 (UTC)
Goto Top
Hi!

Zitat von @aqui:
Wäre mal interessant zu erfahren ob andere auch diesen Fehler haben ?!
Also ich hatte das schon mehrfach auch zu Monowall Zeiten. Seitdem habe ich mir grundsätzlich angewöhnt immer nach einem Update die Voucher neu anzulegen. Das mag umständlich sein aber ist immerhin besser, als nochmals zum Kunden hinfahren zu müssen und das dann als Reklamation für den Kunden auch noch kostenlos zu erledigen, weil die Voucher nach dem Update nicht mehr funktionierten und von der Mono/pfSense als abgelaufen befunden wurden... face-wink

mrtux
Member: joachim57
joachim57 Apr 20, 2016 updated at 15:43:41 (UTC)
Goto Top
Das Problem mit dem ReadOnly hab ich hier auch. Kein speichern von Konfigrations(änderungen) möglich.
Es kommt immer die Fehlermeldung:
Unable to open /cf/conf/config.xml for writing in write_config()
Mitglied: 108012
108012 Apr 21, 2016 at 05:34:24 (UTC)
Goto Top
Hallo zusammen,

generell ist es dieses Mal empfehlenswert den Upgrade Guide vorher durchzulesen er wurde erweitert.
Upgrade Guide - 2.3-RELEASE

Und eventuell findet ja jemand etwas in dieser "Fundgrube" zu seinem Thema.
Issues updating from 2.3-RC (or older 2.3 installs) to 2.3-RELEASE

Folgende Info hierzu.....
Stand aber auch so in den Änderungen zu Version 2.3 unter der Rubrik "Traffic Shaping".
2.3 New Features and Changes

Das Problem mit dem ReadOnly hab ich hier auch. Kein speichern von Konfigrations(änderungen)
möglich.Es kommt immer die Fehlermeldung: Unable to open /cf/conf/config.xml for writing in
write_config()
Was ist das denn für eine Version und auf welcher Hardware läuft diese denn?
Oder könnte es sogar hieran liegen?
pfSense Nano on CF Card >1 GB
post 1
post 2
Selber Fehler wie Deiner (ist zu lösen)

Ich hab mit Safari auf OSX das Problem, dass das GUI bei Änderungen teilweise einige Sekunden
einfriert...etwas lästig...aber sonst ganz schick.

und

Nun, ich habe zumindest den Eindruck, das der Zugriff per GUI auf mein ALIX etwas zähflüssiger
läuft wie bei Version 2.2.6. Gibt es da bei anderer Hardware ebenfalls das Problem oder tut sich
hier nur das ALIX etwas schwer?
Upgrade to 2.3 CPU Running Harder

Auf einem APU1D4 lief das GUI fast garnicht mehr... bei jeder Änderung 6 Sekunden warten
apu1d4 und 2.3 sehr träge
Alix 2D13 - Have you upgrade to 2.3 ? Did it go okey?

Wenn ich das so lese, dann frage ich mich allerdings ernsthaft, warum das überhaupt released wurde.
Also bei über 700 geschlossenen "Bugs" und "Issues" würde ich mal sagen hat sich das für uns Anwender
dicke gelohnt.

Die Anzahl der Geräte, die das Update überleben scheint ja recht überschaubar zu sein. Ich denke, ich
warte auch (noch...)
Ich will auch nicht verheimlichen dass schon wieder 360 neue Bugs und bekannte Unzulänglichkeiten
gemeldet wurden.

Ebenso muß Status/Monitoring geprüft werden und ggf. unter Settings -> Advanced "Reset Graphing Data"
durchgeführt werden.
Eventuell etwas für Dich?
Gateway monitoring not working post-2.3 upgrade? Read here

ich kann dringendst empfehlen vor dem Upgrade alle Packages zu entfernen und nach dem Upgrade
wieder zu installieren und neu einzurichten.
Und selbst dann ist man noch nicht richtig auf der sicheren Seite!!!
Package reinstall post-upgrade gets stuck in loop with no Internet connectivity

Gruß
Dobby
Member: joachim57
joachim57 Apr 21, 2016 at 06:35:24 (UTC)
Goto Top
Zitat von @108012:
Was ist das denn für eine Version und auf welcher Hardware läuft diese denn?

APU1D4 Board mit 8GB SD-Karte.

Zitat von @108012:
Oder könnte es sogar hieran liegen?

Danke. Das ReadOnly Problem konnte ich mit diesem Tip lösen.
Member: umount
umount May 03, 2016 at 23:34:54 (UTC)
Goto Top
Habe mein Hotspotsystem letzte woche nochmal neu einrichten müssen. Nach dem ich Version 2.3 CE neuinstalliert habe und dann feststellen musste das des Squid 2 Proxy sowie Dansguardian entfernt wurde habe ich wieder auf Version 2.6 gedowngradet. Habe jetzt wieder meine Downloadsperre und US Proxy!
Member: aqui
aqui May 04, 2016 updated at 07:44:40 (UTC)
Goto Top
Es sind noch nicht alle Packages portiert. Das LCD Package für den Einsatz auf Watchguard Hardware fehlt auch noch.
OK, ist zwar nur kosmetisch aber wenn man den Status übers LCD sehen möchte nicht unwichtig.

Eine sinnvolle Konfig Änderung für ältere ALIX 2D13 Boards ist das Filesystem auf RW zu setzen.
Tip von Kollege joachim57 oben !!
Das beschleunigt die Bedienung wieder auf ein normales Maß. face-wink